
Name:          maven-dependency-tree
Version:       3.0
Release:       %mkrel 2
Summary:       Maven dependency tree artifact
Group:         Development/Java
License:       ASL 2.0
Url:           http://maven.apache.org/
Source0:       http://repo1.maven.org/maven2/org/apache/maven/shared/%{name}/%{version}/%{name}-%{version}-source-release.zip
BuildArch:     noarch

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.maven:maven-compat)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven.plugins:maven-invoker-plugin)
BuildRequires:  mvn(org.apache.maven.shared:maven-plugin-testing-harness)
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-components:pom:)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-annotations)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-metadata)
BuildRequires:  mvn(org.eclipse.aether:aether-api)
BuildRequires:  mvn(org.eclipse.aether:aether-util)

Provides:      maven-shared-dependency-tree = %{version}-%{release}
Obsoletes:     maven-shared-dependency-tree < %{version}-%{release}

%description
Apache Maven dependency tree artifact. Originally part of maven-shared.

%package javadoc
Group:         Documentation
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q

find -name Maven3DependencyGraphBuilder.java -delete
%pom_remove_dep org.sonatype.aether:

%pom_remove_plugin :apache-rat-plugin

%build
# Incompatible version of jMock (Fedora has 2.x, upstream uses 1.x)
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE



%changelog
* Tue Feb 23 2016 neoclust <neoclust> 3.0-2.mga6
+ Revision: 977314
- First rebuild of the java stack
- sync package maven-dependency-tree with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Fri Dec 26 2014 dmorgan <dmorgan> 2.1-6.mga5
+ Revision: 806206
- Sync with fc21

* Wed Oct 15 2014 umeabot <umeabot> 2.1-5.mga5
+ Revision: 745286
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Jun 14 2014 dmorgan <dmorgan> 2.1-3.mga5
+ Revision: 636261
- Add missing BuildRequries

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Mon Sep 23 2013 dmorgan <dmorgan> 2.1-1.mga4
+ Revision: 484274
- New version

* Thu Jul 11 2013 dmorgan <dmorgan> 2.0-2.mga4
+ Revision: 453106
- Build with xmvn
- Fix deps

* Sat Jan 12 2013 umeabot <umeabot> 2.0-2.mga3
+ Revision: 359593
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 dmorgan <dmorgan> 2.0-1.mga3
+ Revision: 326532
- imported package maven-dependency-tree


* Wed Oct 24 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.0-1
- Initial package
